<?php
/** @var \Mastering\CustomRequest\Block\Index $block */
/** @var \Magento\Framework\Message\ManagerInterface $messageManager */
$messageManager = $block->getMessageManager();
?>



<h2 style="font-size: 24px; margin-bottom: 20px;">Request Custom Design</h2>

<form action="<?php echo $block->getFormAction() ?>" method="post" id="custom-request-form" style="max-width: 400px; margin: 0 auto; padding: 20px; border: 1px solid #ccc; background-color: #f9f9f9;">

    <div class="field required" style="margin-bottom: 10px;">
        <label for="name" class="label" style="font-weight: bold;"><span><?= $block->escapeHtml(__('Name')) ?></span></label>
        <div class="control">
            <input type="text" id="name" name="name" class="input-text" required style="width: 100%; padding: 10px; border: 1px solid #ccc; border-radius: 4px;">
        </div>
    </div>

    <div class="field required" style="margin-bottom: 10px;">
        <label for="phone" class="label" style="font-weight: bold;"><span><?= $block->escapeHtml(__('Phone')) ?></span></label>
        <div class="control">
            <input type="text" id="phone" name="phone" class="input-text" required style="width: 100%; padding: 10px; border: 1px solid #ccc; border-radius: 4px;">
        </div>
    </div>

    <div class="field required" style="margin-bottom: 10px;">
        <label for="height" class="label" style="font-weight: bold;"><span><?= $block->escapeHtml(__('Height')) ?></span></label>
        <div class="control">
            <input type="text" id="height" name="height" class="input-text" required style="width: 100%; padding: 10px; border: 1px solid #ccc; border-radius: 4px;">
        </div>
    </div>

    <div class="field required" style="margin-bottom: 10px;">
        <label for="weight" class="label" style="font-weight: bold;"><span><?= $block->escapeHtml(__('Weight')) ?></span></label>
        <div class="control">
            <input type="text" id="weight" name="weight" class="input-text" required style="width: 100%; padding: 10px; border: 1px solid #ccc; border-radius: 4px;">
        </div>
    </div>

    <div class="field" style="margin-bottom: 10px;">
        <label for="age" class="label" style="font-weight: bold;"><span><?= $block->escapeHtml(__('Age')) ?></span></label>
        <div class="control">
            <input type="text" id="age" name="age" class="input-text" style="width: 100%; padding: 10px; border: 1px solid #ccc; border-radius: 4px;">
        </div>
    </div>

    <div class="field" style="margin-bottom: 10px;">
        <label for="order_notes" class="label" style="font-weight: bold;"><span><?= $block->escapeHtml(__('Order Notes')) ?></span></label>
        <div class="control">
            <textarea id="order_notes" name="order_notes" class="textarea" style="width: 100%; padding: 10px; border: 1px solid #ccc; border-radius: 4px;"></textarea>
        </div>
    </div>

    <div class="actions-toolbar" style="margin-top: 20px;">
        <div class="primary">
            <button type="submit" class="action submit primary" title="<?= $block->escapeHtml(__('Submit')) ?>" style="background-color: #007bff; color: #fff; padding: 10px 20px; border: none; border-radius: 4px; cursor: pointer;">
                <span><?= $block->escapeHtml(__('Submit')) ?></span>
            </button>
        </div>
    </div>
</form>
